Subject: Re: [PATCH v2 19/22] xdiff-interface: allow early return from xdiff_emit_{line,hunk}_fn

From: Junio C Hamano <[email-masked]>
Date: Tue, 30 Mar 2021 17:04:56 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Change the function prototype of xdiff_emit_{line,hunk}_fn to return
> an int instead of void. This will allow for returning early from hunk
> & diff consumers that want some of the data, but not all of it.
>
> No behavior is being changed here, just replacing the equivalent of
> "return" with "return 0", nothing acts on the changed return values
> yet.

So, is this "allowing" early return yet?  I am looking at the patch
title and then reading the above paragraph and wondering.

Or is this step "preparation for allowing" and the real fun is left
for later steps?